if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[LogTraTarifas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE LogTraTarifas ( 
TipDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdMercancia VARCHAR(16) NOT NULL,
DescripMcias VARCHAR(250) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
PesoNeto DECIMAL(14,4) DEFAULT (0) NOT NULL,
Volumen DECIMAL(14,4) DEFAULT (0) NOT NULL,
Cases INT DEFAULT (0) NOT NULL,
Cajas INT DEFAULT (0) NOT NULL,
Palets INT DEFAULT (0) NOT NULL,
TarifClie MONEY DEFAULT (0) NOT NULL,
TarifPago MONEY DEFAULT (0) NOT NULL,
TarifTabla MONEY DEFAULT (0) NOT NULL,
VrDeclarado MONEY DEFAULT (0) NOT NULL,
VrSeguro MONEY DEFAULT (0) NOT NULL,
TarifSeguro DECIMAL(14,4) DEFAULT (0) NOT NULL,
UndTarifa VARCHAR(10) DEFAULT ('PESO') NOT NULL,
UndTarPago VARCHAR(10) DEFAULT ('PESO') NOT NULL,
TipoTarifa VARCHAR(10),
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogTraTarifas PRIMARY KEY CLUSTERED (TipDoc,Numero,IdCia,Item),
 CONSTRAINT CK_LogTraTarifasDescripMcias CHECK ((len([DescripMcias]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdMercancia CHECK ((len([IdMercancia]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogTraTarifasNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogTraTarifasTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_LogTraTarifasUndTarifa CHECK ((len([UndTarifa]) > 0)))
CREATE NONCLUSTERED INDEX IX_LogTraTarifasFecha ON LogTraTarifas(Fecha)
END
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[paInsLogTraTarifas]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[paInsLogTraTarifas]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE paInsLogTraTarifas @pmTipDoc VARCHAR(3),@pmNumero INT,@pmIdCia CHAR(2),@pmItem INT,@pmFecha SMALLDATETIME,@pmIdMercancia VARCHAR(16),@pmDescripMcias VARCHAR(250),@pmCantidad DECIMAL(14,4),@pmPesoNeto DECIMAL(14,4)
,@pmVolumen DECIMAL(14,4),@pmCases INT,@pmCajas INT,@pmPalets INT,@pmTarifClie MONEY,@pmTarifPago MONEY,@pmTarifTabla MONEY,@pmVrDeclarado MONEY,@pmVrSeguro MONEY,@pmTarifSeguro DECIMAL(14,4),@pmUndTarifa VARCHAR(10)
,@pmTipoTarifa VARCHAR(10),@pmUndTarPago VARCHAR(10),@pmIdUsuario VARCHAR(11),@pmNombre VARCHAR(50)
 AS 
 INSERT INTO LogTraTarifas (TipDoc,Numero,IdCia,Item,Fecha,IdMercancia,DescripMcias,Cantidad,PesoNeto,Volumen,Cases,Cajas,Palets,TarifClie,TarifPago,TarifTabla,VrDeclarado,VrSeguro,TarifSeguro,UndTarifa,UndTarPago,TipoTarifa,IdUsuario,Nombre)
 VALUES (@pmTipDoc,@pmNumero,@pmIdCia,@pmItem,@pmFecha,@pmIdMercancia,@pmDescripMcias,@pmCantidad,@pmPesoNeto,@pmVolumen,@pmCases,@pmCajas,@pmPalets,@pmTarifClie,@pmTarifPago,@pmTarifTabla,@pmVrDeclarado
,@pmVrSeguro,@pmTarifSeguro,@pmUndTarifa,@pmUndTarPago,@pmTipoTarifa,@pmIdUsuario,@pmNombre)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

